# H501_ValidationRejectionReason Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_tokenNotValid, e_security, e_hopCountExceeded, e_missingSourceInfo, e_missingDestInfo, e_noServiceRelationship, e_undefined, e_neededFeature, e_genericDataReason, e_unknownServiceID }

## Public Member Functions

| H501_ValidationRejectionReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_ValidationRejectionReason::Choices

Enumerator:

  e_tokenNotValid |
  e_security |
  e_hopCountExceeded |
  e_missingSourceInfo |
  e_missingDestInfo |
  e_noServiceRelationship |
  e_undefined |
  e_neededFeature |
  e_genericDataReason |
  e_unknownServiceID |

## Constructor & Destructor Documentation

H501_ValidationRejectionReason::H501_ValidationRejectionReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H501_ValidationRejectionReason::CreateObject | ( |  | ) |

PObject* H501_ValidationRejectionReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h